### Method

# Gegl Bufferdup

#### Declaration [src]

    GeglBuffer*
    gegl_buffer_dup (
      GeglBuffer* buffer
    )

#### Description [src]

Duplicate a buffer (internally uses gegl_buffer_copy). Aligned tiles will create copy-on-write clones in the new buffer.

#### Return value

Type: `GeglBuffer`

The new buffer.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.